WP6: Question on KNIME instances and DM
Infrastructure: Development, Pre-Production,

Production
Description

Is there the opportunity to specify different KNIME instances / versions as "executors" when integrating a KNIME WF as DM
algorithm via SAI?

History

#1 - Oct 02, 2018 09:25 AM - Leonardo Candela
- Status changed from New to Feedback
- % Done changed from 0 to 100

- Infrastructure Development, Production added

According to my knowledge there is only one KNIME engine available on DM machines to run KNIME-based workflows.
| kindly ask @gianpaolo.coro@isti.cnr.it or @g.panichi@isti.cnr.it to correct me if I'm wrong.

Right now it is possible to specify the version of KNIME at algorithm ingestion / integration by SAl, see

https://wiki.gcube-system.org/gcube/Statistical_Algorithms_Importer:_ Knime-Workflow_Project ... however this information is not exploited at
algorithm execution time and all KNIME workflows are executed by using the KNIME instance available / installed on the DM machines.

#2 - Oct 02, 2018 10:34 AM - Giancarlo Panichi

Knime-Full 3.3.2 is installed on the computational machines, see:

https://wiki.gcube-system.org/gcube/Pre_Installed_Packages

#3 - Oct 02, 2018 10:56 AM - Matthias Filter
- % Done changed from 100 to 50

Sorry, I'm confused again. According to the tickets:
https://support.d4science.org/issues/12249
https://support.d4science.org/issues/12578

we should have KNIME 3.6 now on all machines?!

#4 - Oct 02, 2018 11:08 AM - Lars Valentin

Ja, the information from this wiki page looks also outdated to me. As example, R is mentioned in version 3.4.0 but | am very sure | am using version
3.4.4 in the dataminer. Could someone please update the wiki pages?

#5 - Oct 02, 2018 11:23 AM - Giancarlo Panichi

I'm sorry @lars.valentin@bfr.ound.de and @matthias.filter@bfr.bund.de , most likely it was not changed after the latest updates.
We will do it.

#6 - Oct 02, 2018 11:53 AM - Andrea Dell'Amico
Yes, the installed KNIME version is 3.6.0 that will become 3.6.1 in the next days.

R is 3.4.4 everywhere.

#7 - Oct 02, 2018 05:48 PM - Leonardo Candela
- % Done changed from 50 to 100
There is (and will be) only one version of KNIME (as well as of other "engines") equipping the machines forming a DataMiner cluster.
To overcome the issue users face when needed to know

e what are the current versions of the "engines" equipping DataMiner machines;
¢ what is the (computing) "capacity" of the overall cluster;

... we planned a number of tasks that will culminate in a change of the DataMiner GUI displaying these information.

#9 - Oct 04, 2018 11:58 AM - Leonardo Candela
- Status changed from Feedback to Closed
